<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfRunTimeCalibReport_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfRunTimeCalibReport_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWaveLink RF Run time calibration report for event RL_RF_AE_RUN_TIME_CALIB_REPORT_SB  
 <a href="structrl_rf_run_time_calib_report__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a6d690247e23d5a3e33c635541399b8e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d690247e23d5a3e33c635541399b8e6"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_run_time_calib_report__t.html#a6d690247e23d5a3e33c635541399b8e6">calibErrorFlag</a></td></tr>
<tr class="memdesc:a6d690247e23d5a3e33c635541399b8e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">1 = calibration is passed, 0 = calibration is failed or not enabled/performed at <br />
 least once. <br />
 Bit: Calibration <br />
 0: [Reserved] <br />
 1: APLL tuning <br />
 2: SYNTH VCO1 tuning <br />
 3: SYNTH VCO2 tuning <br />
 4: LODIST calibration <br />
 5: [Reserved] <br />
 6: [Reserved] <br />
 7: [Reserved] <br />
 8: [Reserved] <br />
 9: TX Power calibration <br />
 10: RX gain calibration <br />
 11: [Reserved] <br />
 12: [Reserved] <br />
 31:13: [Reserved] <br />
<br /></td></tr>
<tr class="separator:a6d690247e23d5a3e33c635541399b8e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ab8cf2988c452c17b66a591605605cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ab8cf2988c452c17b66a591605605cd"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_run_time_calib_report__t.html#a6ab8cf2988c452c17b66a591605605cd">calibUpdateStatus</a></td></tr>
<tr class="memdesc:a6ab8cf2988c452c17b66a591605605cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether each calibration resulted in a reconfiguration of RF is indicated by a <br />
 value of 1 in the respective bit in this field. It has bit definition as <br />
 above <br />
. <br /></td></tr>
<tr class="separator:a6ab8cf2988c452c17b66a591605605cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a376f71cb322f8fb8f32258fc36921b9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a376f71cb322f8fb8f32258fc36921b9a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_run_time_calib_report__t.html#a376f71cb322f8fb8f32258fc36921b9a">temperature</a></td></tr>
<tr class="memdesc:a376f71cb322f8fb8f32258fc36921b9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Measured temperature, based on average of temperature sensors near all enabled <br />
 TX and RX channels at the time of calibration. <br />
 1 LSB = 1 degree Celsius <br />
. <br /></td></tr>
<tr class="separator:a376f71cb322f8fb8f32258fc36921b9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7208663db26ae9336ab91d8ec7b3b8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7208663db26ae9336ab91d8ec7b3b8a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_run_time_calib_report__t.html#ae7208663db26ae9336ab91d8ec7b3b8a">reserved0</a></td></tr>
<tr class="memdesc:ae7208663db26ae9336ab91d8ec7b3b8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:ae7208663db26ae9336ab91d8ec7b3b8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdf6cca529c71eaa1661a14e5f8098ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abdf6cca529c71eaa1661a14e5f8098ff"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_run_time_calib_report__t.html#abdf6cca529c71eaa1661a14e5f8098ff">timeStamp</a></td></tr>
<tr class="memdesc:abdf6cca529c71eaa1661a14e5f8098ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the calibration updates were performed. <br />
 1 LSB = 1 millisecond <br />
 (the stamp rolls over upon exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:abdf6cca529c71eaa1661a14e5f8098ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1eb18f9f47fd42c347d5523d2a91f50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1eb18f9f47fd42c347d5523d2a91f50"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_run_time_calib_report__t.html#aa1eb18f9f47fd42c347d5523d2a91f50">reserved1</a></td></tr>
<tr class="memdesc:aa1eb18f9f47fd42c347d5523d2a91f50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:aa1eb18f9f47fd42c347d5523d2a91f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWaveLink RF Run time calibration report for event RL_RF_AE_RUN_TIME_CALIB_REPORT_SB </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
